package ncrashed.warp.api;

import net.minecraft.world.World;
import net.minecraftforge.common.ForgeDirection;

/**
 * Описание дополнительных функций маяка.
 * @author NCrashed
 *
 */
public interface IWarpBeacon extends IBigStructure 
{
	int getCounterValue(World world, int x, int y, int z, ForgeDirection dir);
	
	int getMarkerX();
	int getMarkerY();
	int getMarkerZ();
	
	int getPlayerX();
	int getPlayerY();
	int getPlayerZ();
}
